| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
text_import_info_t Struct Reference

Complete configuration and runtime state for a text-to-pcap import operation. More...

`#include <text_import.h>`

## Public Attributes
char * | import_text_filename
char * | output_filename
enum text_import_mode | mode
struct { |
FILE * import_text_FILE |
enum offset_type offset_type |
bool has_direction |
bool identify_ascii |
bool little_endian |
} | hexdump
| Parameters used when `mode` is TEXT_IMPORT_HEXDUMP.
struct { |
GMappedFile * import_text_GMappedFile |
GRegex * format |
enum data_encoding encoding |
char * in_indication |
char * out_indication |
} | regex
| Parameters used when `mode` is TEXT_IMPORT_REGEX.
const char * | timestamp_format
unsigned | encapsulation
wtap_dumper * | wdh
enum dummy_header_type | dummy_header_type
unsigned | pid
bool | ipv6
union { |
ws_in4_addr ipv4 |
ws_in6_addr ipv6 |
} | ip_src_addr
| Source IP address inserted into the dummy IP header.
union { |
ws_in4_addr ipv4 |
ws_in6_addr ipv6 |
} | ip_dest_addr
| Destination IP address inserted into the dummy IP header.
unsigned | protocol
unsigned | src_port
unsigned | dst_port
unsigned | tag
unsigned | ppi
char * | payload
unsigned | max_frame_length
unsigned | num_packets_read
unsigned | num_packets_written

## Detailed Description

Complete configuration and runtime state for a text-to-pcap import operation.

## Member Data Documentation

## ◆ dst_port

unsigned text_import_info_t::dst_port

Destination port inserted into the dummy TCP/UDP/SCTP header

## ◆ dummy_header_type

enum dummy_header_type text_import_info_t::dummy_header_type

Type of synthetic header prepended to each frame

## ◆ encapsulation

unsigned text_import_info_t::encapsulation

Wiretap encapsulation type for the output file (see wiretap/wtap.h)

## ◆ encoding

enum data_encoding text_import_info_t::encoding

Encoding of the byte data captured by the regex

## ◆ format

GRegex* text_import_info_t::format

Compiled regular expression used to match packet records

## ◆ has_direction

bool text_import_info_t::has_direction

True if the hex dump includes an inbound/outbound direction indicator

## ◆ identify_ascii

bool text_import_info_t::identify_ascii

True if printable ASCII runs should be detected and tagged

## ◆ import_text_FILE

FILE* text_import_info_t::import_text_FILE

Open file handle for the hex dump input file

## ◆ import_text_filename

char* text_import_info_t::import_text_filename

Path to the input text file to be imported

## ◆ import_text_GMappedFile

GMappedFile* text_import_info_t::import_text_GMappedFile

Memory-mapped view of the regex input file

## ◆ in_indication

char* text_import_info_t::in_indication

String token in a match that marks the packet as inbound

## ◆ ipv4

ws_in4_addr text_import_info_t::ipv4

IPv4 source address (used when `ipv6` is false)

IPv4 destination address (used when `ipv6` is false)

## ◆ ipv6 [1/2]

ws_in6_addr text_import_info_t::ipv6

IPv6 source address (used when `ipv6` is true)

IPv6 destination address (used when `ipv6` is true)

## ◆ ipv6 [2/2]

bool text_import_info_t::ipv6

True if IPv6 addresses are used in the dummy IP header; false for IPv4

## ◆ little_endian

bool text_import_info_t::little_endian

True if multi-byte values in the hex dump are little-endian

## ◆ max_frame_length

unsigned text_import_info_t::max_frame_length

Maximum number of bytes per imported frame; longer frames are truncated

## ◆ mode

enum text_import_mode text_import_info_t::mode

Parsing mode: hex dump or regex (see text_import_mode)

## ◆ num_packets_read

unsigned text_import_info_t::num_packets_read

Number of packet records successfully parsed from the input

## ◆ num_packets_written

unsigned text_import_info_t::num_packets_written

Number of frames successfully written to the output capture file

## ◆ offset_type

enum offset_type text_import_info_t::offset_type

Numeric base of the offset column in the hex dump

## ◆ out_indication

char* text_import_info_t::out_indication

String token in a match that marks the packet as outbound

## ◆ output_filename

char* text_import_info_t::output_filename

Path to the output capture file to be written

## ◆ payload

char* text_import_info_t::payload

Wireshark dissector name embedded in the Export PDU header

## ◆ pid

unsigned text_import_info_t::pid

Ethernet PID / EtherType inserted into the dummy Ethernet header

## ◆ ppi

unsigned text_import_info_t::ppi

Payload Protocol Identifier (PPI) inserted into the dummy SCTP DATA chunk

## ◆ protocol

unsigned text_import_info_t::protocol

IP protocol number inserted into the dummy IP header

## ◆ src_port

unsigned text_import_info_t::src_port

Source port inserted into the dummy TCP/UDP/SCTP header

## ◆ tag

unsigned text_import_info_t::tag

SCTP verification tag inserted into the dummy SCTP header

## ◆ timestamp_format

const char* text_import_info_t::timestamp_format

strptime-compatible format string used to parse timestamps in the input

## ◆ wdh

wtap_dumper* text_import_info_t::wdh

Wiretap dumper handle used to write the output capture file

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/text_import.h